# Webhooks Notifications

PapayaGlobal uses webhooks to send API call messages to a specific URL in your application whenever there are events or status changes. For instance, in the payment process, webhooks transmit immediate notifications between servers when specific events like a completed transaction or a change in payment status occur. PapayaGlobal offers a variety of webhooks for you to choose from and subscribe to based on your requirements, along with the option to provide a suitable URL for each webhook.

{% hint style="info" %}
Webhooks are a secure and accountable means for two servers to exchange information through HTTPS callbacks or messages. These callbacks are activated by particular events or occurrences and function at the server-to-server (S2S) level.
{% endhint %}

{% hint style="warning" %}
For more information or to enable this feature, please get in touch with your account manager or our support team.
{% endhint %}

**Set up Webhooks**

1. Generate a server URL for your organization server and share it with PapayaGlobal and its corresponding server IP address. This URL will be the destination where the transaction response from PapayaGlobal will be sent.
2. PapayaGlobal will configure the organization's server URL on its backend, associating it with the OrgID and key of that specific organization.
3. To ensure seamless communication, PapayaGlobal will whitelist the webhook URL provided by the organization in its systems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.papayaglobal.com/api-reference/webhooks-notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
